%define url_ver %(echo %{version}|cut -d. -f1,2)
%define name mate-document-viewer
%define oname atril
%define build_dvi 1
%define major 3
%define api 1.5.0
%define girname    %mklibname %{name}-gir %{api}
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name}
%define liboname %mklibname %{oname} %major

Summary:        MATE Document viewer
Name:           %{name}
Version:        1.6.2
Release:        %mkrel 1
License:        GPLv2+ and GFDL
Url:            http://mate-desktop.org/
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         Check-for-NULL-in-synctex_backward_search.patch
Patch1:         atril-1.6.0-mga-Update-to-poppler-api-changes.patch
Patch2:         backends_-Fix-another-security-issue-in-the-dvi-backend.patch
Patch3:         backends_-Fix-several-security-issues-in-the-dvi-backend.patch
# This patch makes atril use XDG_CONFIG_HOME/mate/ for user settings and 
# fixes accels saving issue.
Patch4:         mate-document-viewer-1.6.1-mga-user_config_dir.patch

BuildRequires:  docbook-dtd412-xml
BuildRequires:  ghostscript
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(gail)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(mate-icon-theme)
BuildRequires:  pkgconfig(mate-keyring-1)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libgxps)
%if %build_dvi
#gw just like xdvi, needed for rendering the fonts
BuildRequires:  kpathsea-devel
%endif

Requires:      ghostscript
Requires:      ghostscript-module-X
Provides:      %{oname} = %{version}-%{release}
Obsoletes:     %{oname} =< %{version}-%{release}

%description
Atril is the MATE Document viewer.
Its supports PDF, PostScript and other formats.

%if %{build_dvi}
%package dvi
Summary:  TeX DVI document support for atril
Group:    Graphical desktop/MATE
#gw just like xdvi, needed for rendering the fonts
Requires: texlive
Requires: %{name} = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to atril.
These files are produced by TeX, often using
a macro package like LaTeX.
%endif

%package -n %libname
Group:   System/Libraries
Summary: MATE Document viewer library
Provides: %{liboname} = %{version}-%{release}
Obsoletes: %{liboname} =< %{version}-%{release}

%description -n %libname
This is the MATE Document viewer library, the shared parts of %name.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %develname
Group:Development/C
Summary: MATE Document viewer library
Requires: %{libname} = %{version}
Provides: %{oname}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %develname
This is the MATE Document viewer library, the shared parts of %name.

%prep
%setup -q
%apply_patches

%build
# To fix overlinking issues autoreconf is needed: 
autoreconf -fi
%configure2_5x \
   --with-pic                                                          \
   --disable-static                                                    \
   --disable-scrollkeeper                                              \
   --with-gtk=2.0                                                      \
   --enable-introspection                                              \
   --enable-gtk-doc                                                    \
   --enable-pdf                                                        \
   --enable-tiff                                                       \
   --enable-djvu                                                       \
   --enable-dvi                                                        \
   --enable-pixbuf                                                     \
   --enable-comics                                                     \
%if %build_dvi
  --enable-dvi \
%endif
   --enable-xps

%make

%install
%makeinstall_std

%find_lang %oname --with-gnome
cat %oname.lang >> Atril.lang
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed s!%buildroot!!)" >> Atril.lang
done

find %{buildroot} -name *.la -delete

%files -f Atril.lang
%doc AUTHORS README COPYING
%{_bindir}/atril
%{_bindir}/atril-previewer
%{_bindir}/atril-thumbnailer
%{_libexecdir}/atril-convert-metadata
%{_libexecdir}/atrild
%{_datadir}/applications/atril.desktop
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate/help/atril/
%{_datadir}/thumbnailers/
%{_datadir}/MateConf/gsettings/atril.convert
%{_iconsdir}/hicolor/*/apps/atril*
%dir %{_datadir}/omf/%oname
%{_datadir}/omf/%oname/%oname-C.omf
%_mandir/man1/atril*

%if %{build_dvi}
%files dvi
%{_libdir}/atril/%{major}/backends/libdvidocument.so
%{_libdir}/atril/%{major}/backends/dvidocument.%oname-backend
%endif

%files -n %libname
%{_libdir}/libatrildocument.so.%{major}*
%{_libdir}/libatrilview.so.%{major}*
%{_libdir}/caja/extensions-2.0/libatril*so*
%dir %{_libdir}/%oname/%major/
%dir %{_libdir}/%oname/%major/backends
%{_libdir}/%oname/%major/backends/lib*so*
%{_libdir}/%oname/%major/backends/comicsdocument.%oname-backend
%{_libdir}/%oname/%major/backends/djvudocument.%oname-backend
%{_libdir}/%oname/%major/backends/xpsdocument.%oname-backend
%{_libdir}/%oname/%major/backends/pdfdocument.%oname-backend
%{_libdir}/%oname/%major/backends/pixbufdocument.%oname-backend
%{_libdir}/%oname/%major/backends/psdocument.%oname-backend
%{_libdir}/%oname/%major/backends/tiffdocument.%oname-backend

%files -n %{girname}
%{_libdir}/girepository-1.0/AtrilDocument-%{api}.typelib
%{_libdir}/girepository-1.0/AtrilView-%{api}.typelib

%files -n %develname
%doc ChangeLog
%{_datadir}/gtk-doc/html/atril
%{_datadir}/gtk-doc/html/libatrildocument-%api
%{_datadir}/gtk-doc/html/libatrilview-%api
%{_libdir}/libatrildocument.so
%{_libdir}/libatrilview.so
%{_libdir}/pkgconfig/atril*pc
%{_includedir}/atril*
%{_datadir}/gir-1.0/AtrilDocument-%{api}.gir
%{_datadir}/gir-1.0/AtrilView-%{api}.gir


%changelog
* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 582356
-Update to bugfix version: 1.6.2
    -Check if handler_id is connected before disconnect
    -Add check for zlib and add to linker
    -One filename is longer than 99 characters, use tar-ustar
    -Remove unused distro folder
    -Update MATE_ICON_THEME_REQUIRED variable and use it

* Sat Dec 14 2013 tarakbumba <tarakbumba> 1.6.1-3.mga4
+ Revision: 556685
- Respect to mate user_config_dir
- Fix accels to properly work.

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531802
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 465044
- updated sources to 1.6.1, impress support has been dropped from sources

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461821
- fix conf generation

  + tarakbumba <tarakbumba>
    - imported package mate-document-viewer

